package com.flossom.common.core.domain.entity;

import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 发送话术记录对象 wx_user_script_log
 *
 * @author flossom
 * @date 2023-12-20
 */
public class WxUserScriptLog extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 话术接收人
     */
    private Long wxUserId;

    /**
     * 消息类型：0、未知，1、用户注册，2、绑定仪器，3、打卡活动，4、护理计划，5、问卷活动，6、会员管理，7、消息模板
     */
    private Integer messageType;

    /**
     * 是否已读：0否，1是
     */
    private Integer isRead;

    /**
     * 是否自定义话术：0否，1是
     */
    private Integer isCustom;

    /**
     * 当为 is_custom = 0，选择话术模板
     */
    private Integer scriptTemplateId;

    /**
     * 话术名称
     */
    private String scriptName;

    /**
     * 话术标题
     */
    private String titile;

    /**
     * 话术内容
     */
    private String content;

    /**
     * 标签类型：1小程序标签  2外部标签
     */
    private Integer tagType;

    /**
     * 跳转类型：0无跳转、1跳转内部链接、3跳转外部链接、4跳转小程序、5导向视频号、6导向视频号直播间
     */
    private Integer type;

    /**
     * 跳转链接（跳转外部链接、跳转内部链接）
     */
    private String link;

    /**
     * 跳转链接参数（跳转内部链接）
     */
    private String linkParams;

    /**
     * 外链小程序appid（跳转小程序）
     */
    private String redirectAppid;

    /**
     * 外链小程序url（跳转小程序）
     */
    private String redirectUrl;

    /**
     * 视频号（导向视频号、导向视频号直播间）
     */
    private String videoNo;

    /**
     * 视频号feedId（导向视频号）
     */
    private String feedId;

    /**
     * 标签名字(xxx,xxx,xxx)
     */
    private String tagNames;

    /**
     * 标签ID(xxxx,xxxx,xxx)
     */
    private String tagIds;

    /**
     * 状态（0正常 1停用）
     */
    private Integer status;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(Long wxUserId) {
        this.wxUserId = wxUserId;
    }

    public Integer getIsRead() {
        return isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    public Integer getIsCustom() {
        return isCustom;
    }

    public void setIsCustom(Integer isCustom) {
        this.isCustom = isCustom;
    }

    public Integer getScriptTemplateId() {
        return scriptTemplateId;
    }

    public void setScriptTemplateId(Integer scriptTemplateId) {
        this.scriptTemplateId = scriptTemplateId;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getTitile() {
        return titile;
    }

    public void setTitile(String titile) {
        this.titile = titile;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getTagType() {
        return tagType;
    }

    public void setTagType(Integer tagType) {
        this.tagType = tagType;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getLinkParams() {
        return linkParams;
    }

    public void setLinkParams(String linkParams) {
        this.linkParams = linkParams;
    }

    public String getRedirectAppid() {
        return redirectAppid;
    }

    public void setRedirectAppid(String redirectAppid) {
        this.redirectAppid = redirectAppid;
    }

    public String getRedirectUrl() {
        return redirectUrl;
    }

    public void setRedirectUrl(String redirectUrl) {
        this.redirectUrl = redirectUrl;
    }

    public String getVideoNo() {
        return videoNo;
    }

    public void setVideoNo(String videoNo) {
        this.videoNo = videoNo;
    }

    public String getFeedId() {
        return feedId;
    }

    public void setFeedId(String feedId) {
        this.feedId = feedId;
    }

    public String getTagNames() {
        return tagNames;
    }

    public void setTagNames(String tagNames) {
        this.tagNames = tagNames;
    }

    public String getTagIds() {
        return tagIds;
    }

    public void setTagIds(String tagIds) {
        this.tagIds = tagIds;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getMessageType() {
        return messageType;
    }

    public void setMessageType(Integer messageType) {
        this.messageType = messageType;
    }
}
